Skip to main content

Authorize

Login

Use this API to generate JWT token and refresh token.

 POST /authorize/login Try now

Request body parameters

FieldTypeDescription
email
required
stringEmail Address
password
required
stringPassword
domainstringCustom Domain of your account. e.g.: lms.example.com

For general error details, click here.

Generate Token

Use this API to generate JWT token using refresh token.

 POST /authorize/refresh-token Try now

Request body parameters

FieldTypeDescription
refreshToken
required
stringRefresh Token

For general error details, click here.

Login via SSO

Use this API to login into LMS using SSO.

 POST /authorize/third-party Try now

Request body parameters

FieldTypeDescription
provider
required
integer1 - Google
thirdPartyData
required
jsonArraythis jsonArray has "token" as key and value is token returned by google after verification.

For general error details, click here.

Redirect to Course from your custom websites/frontend

Use this end point to redirect Trainees from your custom websites/frontend to a Course inside the LMS.

 POST https://{your.lms.custom.domain}/site/login-by-jwt-token

Request body parameters

FieldTypeDescription
token
required
stringToken
type
required
integerIf you are passing token of Admin/Manager then type = 1
If you are passing token of Trainee then type = 2
inputData
required
jsonArrayIf type = 1 than inputData = { "enrollmentId": 12555 }
If type = 2 than inputData = { "enrollmentId": 12555 }

For general error details, click here.

Forgot Password

Use this API to send a password reset link via email.

 POST /authorize/forgot-password Try now

Request body parameters

FieldTypeDescription
email
required
stringEmail Address
domainstringCustom Domain of your account. e.g.: lms.example.com
sendEmailNotificationboolean1 = Yes, 2 = No (Default)
overrideEmailUrlstringUse this to redirect to your frontend domain for reseting password. {token} is required e.g.: https://www.example.com/verify-token/{token}

For general error details, click here.